<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$ingrCode = $bbdd->checkParameter('ingrCode',true);
$ingrStat = $bbdd->checkParameter('ingrStat',true);

//Comprova que s'hagin validat els paràmetres
if ($listCode !== 0) {
	
	//Comprova si existeix un ingredient amb el codi introduït
	$exist = $bbdd->selectUnique("count(*)","IngredientsLists","inliIngredient = '".$ingrCode."'");	
	if($exist) {
		//Realitza la consulta
		$result = $bbdd->update("IngredientsLists","inliStat = '".$ingrStat."'","inliIngredient = '".$ingrCode."'");
	}
	
	//Comprova que el resultat de l'operació sigui correcte
	if (isset($result) && $result) {
		$response["success"] = "1";
		$response["message"] = "OK";
	} 
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'ha pogut modificar l'estat del producte.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>